<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_aktifitas}">
<head>
    <meta charset="UTF-8">
    <title>Kegiatan Temporer</title>
</head>
<body>
<div layout:fragment="aktifitas" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">Penjadwalan Kegiatan Temporer</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <!--Show entries <span sd:page-size-selector="javascript"></span>-->
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <a th:href="@{/aktifitas/kegiatan_temporer/new}" name="tambah" type="button" class="btn btn-block btn-primary">
                                <i class="fa fa-plus"></i> Kegiatan Temporer</a>
                        </div>
                    </div>


                    <div class="col-md-6" align="right">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <div class="box-body table-responsive no-padding">
            <table class="table table-bordered">
                <tr>
                    <th style="width: 10px">No</th>
                    <th>Jenis Kegiatan</th>
                    <th>Jenis Kelamin</th>
                    <th>Deskripsi Kegiatan</th>
                    <th>Tanggal Kegiatan</th>
                    <th>Waktu Mulai</th>
                    <th>Waktu Selesai</th>
                    <th colspan="2" class="text-center">Action</th>
                </tr>

                <tr th:each="x, i : ${listKegiatanTemporer.content}">
                    <td th:text="${(listKegiatanTemporer.number * listKegiatanTemporer.size ) + i.count}">1.</td>
                    <td th:text="${x.kegiatan.namaKegiatan}"></td>
                    <td th:text="${x.jenisKelamin}"></td>
                    <td th:text="${x.deksripsi}"></td>
                    <td th:text="${#temporals.format(x.tanggalKegiatan, 'dd-MM-yyyy')}"></td>
                    <td th:text="${#dates.format(x.jamMulai, ' HH:mm')}"></td>
                    <td th:text="${#dates.format(x.jamSelesai, ' HH:mm')}"></td>
                    <td>
                        <a class="btn btn-primary btn-xs" type="button" th:href="@{/aktifitas/kegiatan_temporer/new(id=${x.id})}">
                            <i class="fa fa-edit"></i>Edit</a>
                    </td>
                    <td>
                        <form method="post" th:action="@{/aktifitas/kegiatan_temporer/hapus(id=${x.id})}">
                            <button type="submit" class="btn btn-danger btn-xs"
                                    onclick="return confirm('Are you sure want to delete this?')">
                                <i class="fa fa-trash"></i>Delete
                            </button>
                        </form>
                    </td>
                </tr>
                <tr th:if="${#lists.isEmpty(listKegiatanTemporer.content)}">
                    <td colspan="8" class="text-center"> Data Not Found</td>
                </tr>
            </table>
        </div>
        <div class="box-footer clearfix">
            <ul class="pagination pagination-sm no-margin pull-right">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
</div>
</body>
</html>